Subject: Re: CCL:I/O in Charmm

From: Don Gregory <[email-masked]>
Date: Sun, 03 Sep 2000 16:47:59 -0700

Hi all,
Really, there are two separate issues here; (a) using InsightII to create
CHARMm input files, and (b) what to do when a chosen force-field
is missing parameters.
The easy one first:  Indeed, InsightII can write CHARMm PSF and
RTF files.  Whenever your research leads you to modify
the (more or less) 'standard' molecule/residue types that
are provided in the RTF files that come with InsightII, we
heartily recommend you use the PSF creation capabilities
of InsightII to make the 'whole-system' unique molecular
topology description that CHARMm needs, i.e. the PSF file.
That is what this capability is intended for.

However, even given this, missing parameters are still a possibility
since creating a topology is trivial comapred to developing a
well optimized force-field that will cover all the esoteric
molecular types you might encounter in your on-going research.
MSI provides numerous force-fields, and are committed to
extending our force-field coverage as we go forward.  However
if the force-field you are using (not specified in the original email)
is missing parameters, we'd suggest CFF if that is not being used
already.  If CFF also is missing the parameters, then we're in
the same boat as we've seen in dozens of emails here on
the CCL, i.e. you can research the literature to see if someone
has developed parameters *for that specific force-field*
(if for another force-field, then you have to make the
   decision as to whether to accept the *approximation* that
   those parameters will be reasonably transferrable into the
   force-field you would like to use),
or you can ask your collegues on CCL (remembering to specify
the force-field you are using, and a complete description of the
atoms (atom-types) involved [*not* as I've seen numerous time
"has anyone developed parameters for X?"; not saying for
which force-field and simply *assuming* transferrability is
acceptable), or
contact MSI to see if we have developed these parameters, ir
  ..... well, resort to a force-field optimization project yourself!
In fact, it is 'fair' (?) to provide numbers from any of the sources
mentioned above, but what is *really* crucial, is to note the
original force-field used, and any added/modified parameters to
that force-field, when publishing your results.  This is a step that
I think is missing all too often in molecular mechanics studies
I've seen in the literature.

There are additional comments to be found at MSI's scientific
support FAQ site, under the heading of "ForceFields",
http://www.msi.com/support/FAQ.html

Hope this helps; sorry for such a long email.
DG

At 06:37 PM 9/3/00 -0400, Xiang(Simon) Wang wrote:
>Dear CCLers:
>
>Can someone help me on how to read small molecule structure in Charmm?
>For example, phosphoribosyldiphosphate (PRPP), which can not be found in
>top_all22_model.inp file. I could get the PSF file from InsightII. But
>when running, Charmm gave the warning of lacking of parameters. Can
>someone help me out of it?
>
>Thanks a lot,
>
>X. Wang
>
>
>-= This is automatically added to each message by mailing script =-
>[email-masked] -- To Everybody    |   [email-masked] -- To 
>Admins
>[email-masked] -- HELP CHEMISTRY or HELP SEARCH
>[email-masked] -- archive search    |    Gopher: gopher.ccl.net 70
>Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]
>
>
>

Dr. Don Gregory ([email-masked])
CHARMm Product Marketing Manager
Molecular Simulations Inc.
9685 Scranton Rd.
San Diego, CA  92121
(858) 799-5331     http://www.msi.com
Mobile Ph.:  (619) 200-3613